buffy::MailFolderImpl Class Referenceabstract

`#include <mailfolder.h>`

Inheritance diagram for buffy::MailFolderImpl:

## Public Member Functions

virtual | ~MailFolderImpl ()
virtual const std::string & | name () const =0 throw ()
virtual const std::string & | path () const =0 throw ()
virtual std::string | type () const =0 throw ()
virtual int | getMsgTotal () const =0 throw ()
virtual int | getMsgUnread () const =0 throw ()
virtual int | getMsgNew () const =0 throw ()
virtual int | getMsgFlagged () const =0 throw ()
virtual bool | changed ()=0
virtual void | updateStatistics ()=0

## Constructor & Destructor Documentation

virtual buffy::MailFolderImpl::~MailFolderImpl | ( | ) |  |

inline virtual

## Member Function Documentation

virtual bool buffy::MailFolderImpl::changed | ( | ) |  |

pure virtual

virtual int buffy::MailFolderImpl::getMsgFlagged | ( | ) |  | const
throw | ( |
| ) |  |

pure virtual

virtual int buffy::MailFolderImpl::getMsgNew | ( | ) |  | const
throw | ( |
| ) |  |

pure virtual

virtual int buffy::MailFolderImpl::getMsgTotal | ( | ) |  | const
throw | ( |
| ) |  |

pure virtual

virtual int buffy::MailFolderImpl::getMsgUnread | ( | ) |  | const
throw | ( |
| ) |  |

pure virtual

virtual const std::string& buffy::MailFolderImpl::name | ( | ) |  | const
throw | ( |
| ) |  |

pure virtual

virtual const std::string& buffy::MailFolderImpl::path | ( | ) |  | const
throw | ( |
| ) |  |

pure virtual

virtual std::string buffy::MailFolderImpl::type | ( | ) |  | const
throw | ( |
| ) |  |

pure virtual

virtual void buffy::MailFolderImpl::updateStatistics | ( | ) |  |

pure virtual

The documentation for this class was generated from the following file:

- mailfolder.h